<?xml version="1.0" encoding="utf-8" standalone="no"?>
<vehicle type="cutter_addConfig">
    <annotation>Copyright (C) GIANTS Software GmbH, All Rights Reserved.</annotation>

    <storeData>
        <name>
			<en>EasyCollect 600-2</en>
			<de>EasyCollect 600-2</de>
		</name>
        <specs>
            <workingWidth>6.0</workingWidth>
            <combination>BiG X 580</combination>
        </specs>
        <functions>
            <function>$l10n_function_cutterForage</function>
        </functions>
        <image>store/store_kroneEasyCollect600.png</image>
        <price>55000</price>
        <lifetime>600</lifetime>
        <rotation>0</rotation>
        <brand>KRONE</brand>
        <category>MW_Mods_TOOL</category>
        <shopFoldingState>1</shopFoldingState>
        <shopHeight>5</shopHeight>
        <vertexBufferMemoryUsage>1151872</vertexBufferMemoryUsage>
        <indexBufferMemoryUsage>175800</indexBufferMemoryUsage>
        <textureMemoryUsage>9131592</textureMemoryUsage>
        <instanceVertexBufferMemoryUsage>0</instanceVertexBufferMemoryUsage>
        <instanceIndexBufferMemoryUsage>0</instanceIndexBufferMemoryUsage>
    </storeData>

    <base>
        <typeDesc>$l10n_typeDesc_EasyCollect600</typeDesc>
        <filename>i3d/kroneEasyCollect600.i3d</filename>
        <size width="4" length="3.5"/>
        <speedLimit value="10"/>
        <components>
            <component centerOfMass="0 0.4 -0.4" solverIterationCount="10" mass="2900"/>
        </components>
        <schemaOverlay attacherJointPosition="0 0">
            <default name="DEFAULT_IMPLEMENT"/>
            <turnedOn name="DEFAULT_IMPLEMENT_ON"/>
            <selected name="DEFAULT_IMPLEMENT_SELECTED"/>
            <turnedOnSelected name="DEFAULT_IMPLEMENT_SELECTED_ON"/>
        </schemaOverlay>
    </base>

    <attachable>
        <inputAttacherJoints>
            <inputAttacherJoint node="attacherJoint" jointType="cutterHarvester" upperRotationOffset="0" forceSelectionOnAttach="false">
                <distanceToGround lower="1.197" upper="1.4"/>
            </inputAttacherJoint>
        </inputAttacherJoints>
        <support animationName="moveSupport"/>
    </attachable>
	
    <connectionHoses>
        <hose inputAttacherJointIndices="1" type="hydraulicIn"  node="hydraulicIn01"  length="0.57" diameter="0.02" straighteningFactor="0.5"/>
        <hose inputAttacherJointIndices="1" type="hydraulicOut" node="hydraulicOut01" length="0.53" diameter="0.02" straighteningFactor="0.5"/>
        <hose inputAttacherJointIndices="1" type="hydraulicIn"  node="hydraulicIn02"  length="0.58" diameter="0.02" straighteningFactor="0.5"/>
        <hose inputAttacherJointIndices="1" type="hydraulicOut" node="hydraulicOut02" length="0.57" diameter="0.02" straighteningFactor="0.5"/>
    </connectionHoses>

    <powerConsumer ptoRpm="540" neededMaxPtoPower="75"/>

    <groundReferenceNodes>
        <groundReferenceNode node="groundReferenceNode" threshold="0.45" />
    </groundReferenceNodes>

    <workAreas>
        <workArea type="cutter" functionName="processCutterArea" disableBackwards="true" >
            <area startNode="areaStart" widthNode="areaWidth" heightNode="areaHeight"/>
            <groundReferenceNode index="1" />
            <folding minLimit="0" maxLimit="0.1" />
        </workArea>
    </workAreas>

    <foldable>
        <foldingParts startMoveDirection="1" turnOnFoldMinLimit="0" turnOnFoldMaxLimit="0.1">
            <foldingPart animationName="folding" speedScale="1"/>
        </foldingParts>
    </foldable>

    <animations>
        <animation name="folding">
            <part node="leftArm"     startTime="0" endTime="5" startRot="0 0 0" endRot="0 0 90"/>
            <part node="rightArm"    startTime="0" endTime="5" startRot="0 0 0" endRot="0 0 -90"/>
            <part node="barLeftArm"  startTime="0" endTime="5" startRot="0 0 0" endRot="72.5 0 0"/>
            <part node="barRightArm" startTime="0" endTime="5" startRot="0 0 0" endRot="72.5 0 0"/>
            <part node="hydraulicIn01"  startTime="0" endTime="5" startRot="-87.544 63.116 -88.392" endRot="87.015 68.218 86.645"/> 
            <part node="hydraulicOut01" startTime="0" endTime="5" startRot="-70.834 63.574 -70.132" endRot="72.689 60.598 77.387"/> 
            <part node="hydraulicIn02"  startTime="0" endTime="5" startRot="-0.475 -5.296 2.83"     endRot="4.038 -3.462 -51.754"/> 
            <part node="hydraulicOut02" startTime="0" endTime="5" startRot="0.105 3.767 1.602"      endRot="-3.221 1.957 -58.741"/> 
        </animation>
        <animation name="moveSupport">
            <part node="supportArmsLeft" startTime="0" endTime="0.05" visibility="false"/>
            <part node="supportArmsLeft" startTime="0.05" endTime="0.1" visibility="true"/>
            <part node="supportArmsRight" startTime="0" endTime="0.05" visibility="false"/>
            <part node="supportArmsRight" startTime="0.05" endTime="0.1" visibility="true"/>
            <part node="support" startTime="0" endTime="0.3" startTrans="0 0.24 0" endTrans="0 0 0"/>
        </animation>
    </animations>

    <cylindered>
        <movingTools>
            <movingTool node="leftArm">
                <dependentPart node="hydraulicLeftArm"/>
            </movingTool>
            <movingTool node="rightArm">
                <dependentPart node="hydraulicRightArm"/>
            </movingTool>
        </movingTools>
        <movingParts>
            <movingPart node="hydraulicLeftArm" referencePoint="hydraulicLeftArmRef" localReferencePoint="hydraulicLeftArmPart" referenceFrame="leftArm" playSound="true">
                <dependentPart node="hydraulicLeftArmPart"/>
            </movingPart>
            <movingPart node="hydraulicLeftArmPart" referencePoint="hydraulicLeftArmRef" referenceFrame="leftArm">
                <translatingPart node="hydraulicLeftArmPunch"/>
            </movingPart>
            <movingPart node="hydraulicRightArm" referencePoint="hydraulicRightArmRef" localReferencePoint="hydraulicRightArmPart" referenceFrame="rightArm" playSound="true">
                <dependentPart node="hydraulicRightArmPart"/>
            </movingPart>
            <movingPart node="hydraulicRightArmPart" referencePoint="hydraulicRightArmRef" referenceFrame="rightArm">
                <translatingPart node="hydraulicRightArmPunch"/>
            </movingPart>
        </movingParts>
        <sounds>
                <hydraulic template="DEFAULT_HYDRAULIC_SOUND" linkNode="0>"/>
        </sounds>
    </cylindered>

    <cutter fruitTypeCategories="maizeCutter" allowsForageGrowthState="true" fruitTypeConverter="forageHarvester">
        <testAreas>
            <testArea startNode="testAreaStart1" widthNode="testAreaWidth1" heightNode="testAreaHeight1"/>
            <testArea startNode="testAreaStart2" widthNode="testAreaWidth2" heightNode="testAreaHeight2"/>
            <testArea startNode="testAreaStart3" widthNode="testAreaWidth3" heightNode="testAreaHeight3"/>
            <testArea startNode="testAreaStart4" widthNode="testAreaWidth4" heightNode="testAreaHeight4"/>
            <testArea startNode="testAreaStart5" widthNode="testAreaWidth5" heightNode="testAreaHeight5"/>
            <testArea startNode="testAreaStart6" widthNode="testAreaWidth6" heightNode="testAreaHeight6"/>
        </testAreas>
        <effect>
            <effectNode linkNode="center" isThreshing="false" inverted="true" speedScale="0.0018" lengthAndRadius="2.5 1.3 2 3" effectType="CENTER" changeSpeedScale="0.01"/>
            <effectNode linkNode="left" isThreshing="false" inverted="true" speedScale="0.0032" lengthAndRadius="1.8 2.0 1.5 1.5" effectType="LEFT" useInterpolation="true" minOffset="4"/>
            <effectNode linkNode="right" isThreshing="false" inverted="true" speedScale="0.0032" lengthAndRadius="1.8 2.0 1.5 1.5" effectType="RIGHT" useInterpolation="true" minOffset="4" useMaxValue="true"/>
        </effect>
        <animationNodes>
            <animationNode node="cuttersLeft" class="ScrollingAnimation" scrollSpeed="-3" scrollLength="1" shaderParameterName="offsetUV" shaderParameterComponent="1" toggleVisibility="false" turnOnFadeTime="2" turnOffFadeTime="2"/>
            <animationNode node="cuttersLeft1" class="ScrollingAnimation" scrollSpeed="-3" scrollLength="1" shaderParameterName="offsetUV" shaderParameterComponent="1" toggleVisibility="false" turnOnFadeTime="2" turnOffFadeTime="2"/>
            <animationNode node="beltLeft" class="ScrollingAnimation" scrollSpeed="-3" scrollLength="1" shaderParameterName="offsetUV" shaderParameterComponent="1" toggleVisibility="false" turnOnFadeTime="2" turnOffFadeTime="2"/>
            <animationNode node="cuttersRight" class="ScrollingAnimation" scrollSpeed="-3" scrollLength="1" shaderParameterName="offsetUV" shaderParameterComponent="1" toggleVisibility="false" turnOnFadeTime="2" turnOffFadeTime="2"/>
            <animationNode node="cuttersRight1" class="ScrollingAnimation" scrollSpeed="-3" scrollLength="1" shaderParameterName="offsetUV" shaderParameterComponent="1" toggleVisibility="false" turnOnFadeTime="2" turnOffFadeTime="2"/>
            <animationNode node="beltRight" class="ScrollingAnimation" scrollSpeed="-3" scrollLength="1" shaderParameterName="offsetUV" shaderParameterComponent="1" toggleVisibility="false" turnOnFadeTime="2" turnOffFadeTime="2"/>
            <animationNode node="leftArmDrum" rotSpeed="-600" rotAxis="2" turnOnFadeTime="2" turnOffFadeTime="2"/>
            <animationNode node="rightArmDrum" rotSpeed="600" rotAxis="2" turnOnFadeTime="2" turnOffFadeTime="2"/>
            <animationNode node="drum" rotSpeed="600" rotAxis="1" turnOnFadeTime="2" turnOffFadeTime="2"/>
        </animationNodes>
    </cutter>
	
	<turnOnVehicle turnedOnByAttacherVehicle="true" turnOffIfNotAllowed="true"/>

    <wearable wearDuration="480" workMultiplier="5" fieldMultiplier="2"/>
    <washable dirtDuration="90" washDuration="1" workMultiplier="4" fieldMultiplier="2"/>

    <ai>
        <areaMarkers leftNode="aiMarkerLeft" rightNode="aiMarkerRight" backNode="aiMarkerBack"/>
        <collisionTrigger node="trafficCollisionTrigger"/>
    </ai>

    <foliageBending>
        <bendingNode minX="-1.1" maxX="1.1" minZ="-0.6" maxZ="0.2" yOffset="0.3" />
        <bendingNode minX="-0.1" maxX="2.3" minZ="0" maxZ="0.9" yOffset="-0.5" node="leftArm" />
        <bendingNode minX="-2.3" maxX="0.1" minZ="0" maxZ="0.9" yOffset="-0.5" node="rightArm" />
    </foliageBending>

    <baseMaterial>
        <material name="kroneEasyCollect600_mat" baseNode="krone_vis">   
            <shaderParameter name="colorMat0" value="KRONE_GREEN1"/>
			<shaderParameter name="colorMat1" value="KRONE_YELLOW1"/>
			<shaderParameter name="colorMat2" value="KRONE_YELLOW2"/>
        </material>
        <material name="kroneEasyCollect600Cutters_mat" baseNode="cuttersLeft"> 
            <shaderParameter name="colorMat0" value="KRONE_GREEN1"/>
			<shaderParameter name="colorMat1" value="KRONE_GREEN1"/>
			<shaderParameter name="colorMat2" value="KRONE_GREEN1"/>
			<shaderParameter name="colorMat3" value="KRONE_GREEN1"/>
			<shaderParameter name="colorMat4" value="KRONE_GREEN1"/>
			<shaderParameter name="colorMat5" value="KRONE_GREEN1"/>
			<shaderParameter name="colorMat6" value="KRONE_GREEN1"/>
			<shaderParameter name="colorMat7" value="KRONE_GREEN1"/>
        </material>
    </baseMaterial>
	
	<Body3ColorConfigurations useDefaultColors="false">
		<Body3ColorConfiguration name="Krone grün"    color="KRONE_GREEN1"    price="0"/>
		<Body3ColorConfiguration name="Krone blau 1"  color="KRONE_BLUE1"	  price="500"/>
		<Body3ColorConfiguration name="Krone blau 2"  color="KRONE_BLUE2"	  price="500"/>
		<Body3ColorConfiguration name="Krone blau 3"  color="KRONE_BLUE3"	  price="500"/>
		<Body3ColorConfiguration name="Krone blau 4"  color="KRONE_BLUE4"	  price="500"/>
		<Body3ColorConfiguration name="Krone blau 5"  color="KRONE_BLUE5"	  price="500"/>
		<Body3ColorConfiguration name="Krone schwarz" color="KRONE_BLACK2"	  price="500"/>
		<Body3ColorConfiguration name="Krone rot"     color="KRONE_RED1"	  price="500"/>
		<Body3ColorConfiguration name="Krone gelb 1"  color="KRONE_YELLOW1"	  price="500"/>
		<Body3ColorConfiguration name="Krone gelb 2"  color="KRONE_YELLOW2"	  price="500"/>
		<Body3ColorConfiguration name="Krone gelb 4"  color="KRONE_YELLOW4"	  price="500"/>
		<Body3ColorConfiguration name="Holmer pink"   color="HOLMER_PINK"	  price="500"/>
		<Body3ColorConfiguration name="Holmer gelb"   color="HOLMER_YELLOW_1" price="500"/>			
		<Body3ColorConfiguration name="MW BLAU" 	  color="0.1248 0.3613 0.8632"     material="0"  price="500"/>
		<Body3ColorConfiguration name="Claas grün"    color="CLAAS_GREEN1"     material="0" price="500"/>
		<Body3ColorConfiguration name="Claas rot"     color="CLAAS_RED1"	  	  material="0" price="500"/>
		<Body3ColorConfiguration name="Claas weiss"   color="CLAAS_WHITE1"	  material="0" price="500"/>
		<Body3ColorConfiguration name="Claas grau 1"  color="CLAAS_DARKGREY1" material="0" price="500"/>
		<Body3ColorConfiguration name="Claas grau 2"  color="CLAAS_DARKGREY2" material="0" price="500"/>
		<Body3ColorConfiguration name="Krone schwarz metallic" color="KRONE_BLACK2"    material="18" price="100"/>
		<Body3ColorConfiguration name="Krone blau 1 metallic"  color="KRONE_BLUE1"	   material="18" price="600"/>
		<Body3ColorConfiguration name="Krone blau 2 metallic"  color="KRONE_BLUE2"	   material="18" price="600"/>
		<Body3ColorConfiguration name="Krone blau 3 metallic"  color="KRONE_BLUE3"	   material="18" price="600"/>
		<Body3ColorConfiguration name="Krone blau 4 metallic"  color="KRONE_BLUE4"	   material="18" price="600"/>
		<Body3ColorConfiguration name="Krone blau 5 metallic"  color="KRONE_BLUE5"	   material="18" price="600"/>
		<Body3ColorConfiguration name="Krone grün metallic"    color="KRONE_GREEN1"	   material="18" price="600"/>
		<Body3ColorConfiguration name="Krone rot metallic"     color="KRONE_RED1"	   material="18" price="600"/>
		<Body3ColorConfiguration name="Krone gelb 1 metallic"  color="KRONE_YELLOW1"   material="18" price="600"/>
		<Body3ColorConfiguration name="Krone gelb 2 metallic"  color="KRONE_YELLOW2"   material="18" price="600"/>
		<Body3ColorConfiguration name="Krone gelb 4 metallic"  color="KRONE_YELLOW4"   material="18" price="600"/>
		<Body3ColorConfiguration name="Holmer pink metallic"   color="HOLMER_PINK"	   material="18" price="600"/>
		<Body3ColorConfiguration name="Holmer gelb metallic"   color="HOLMER_YELLOW_1" material="18" price="600"/>			
		<Body3ColorConfiguration name="MW BLAU metallic" 	   color="0.1248 0.3613 0.8632" material="18"  price="600"/>
		<Body3ColorConfiguration name="Hoffi MW Metall"     	color="0.037 0.136 0.386 0" price="500"/>	
		<Body3ColorConfiguration name="Hoffi MW Matt"   		color="0.037 0.136 0.386 1" price="500"/>	
		<Body3ColorConfiguration name="Hoffi MW verchromt"   	color="0.037 0.136 0.386 2" price="600"/>	
		<Body3ColorConfiguration name="Hoffi MW glänzend"   	color="0.037 0.136 0.386 8" price="600"/>
		<Body3ColorConfiguration name="Claas grün metallic"     color="CLAAS_GREEN1"     material="18" price="600"/>
		<Body3ColorConfiguration name="Claas rot metallic"  	color="CLAAS_RED1"	   material="18" price="600"/>
		<Body3ColorConfiguration name="Claas weiss metallic"  	color="CLAAS_WHITE1"	   material="18" price="600"/>
		<Body3ColorConfiguration name="Claas grau 1 metallic"  	color="CLAAS_DARKGREY1" material="18" price="600"/>
		<Body3ColorConfiguration name="Claas grau 2 metallic"   color="CLAAS_DARKGREY2" material="18" price="600"/>	
		<material name="kroneEasyCollect600_mat" shaderParameter="colorMat0" />		
	</Body3ColorConfigurations>	
	
	<HolderColorConfigurations useDefaultColors="false">
		<HolderColorConfiguration name="Krone gelb 1"  color="KRONE_YELLOW1"   price="0"/>
		<HolderColorConfiguration name="Krone blau 1"  color="KRONE_BLUE1"	  price="500"/>
		<HolderColorConfiguration name="Krone blau 2"  color="KRONE_BLUE2"	  price="500"/>
		<HolderColorConfiguration name="Krone blau 3"  color="KRONE_BLUE3"	  price="500"/>
		<HolderColorConfiguration name="Krone blau 4"  color="KRONE_BLUE4"	  price="500"/>
		<HolderColorConfiguration name="Krone blau 5"  color="KRONE_BLUE5"	  price="500"/>
		<HolderColorConfiguration name="Krone schwarz" color="KRONE_BLACK2"	  price="500"/>
		<HolderColorConfiguration name="Krone rot"     color="KRONE_RED1"	  price="500"/>
		<HolderColorConfiguration name="Krone grün"    color="KRONE_GREEN1"	  price="500"/>
		<HolderColorConfiguration name="Krone gelb 2"  color="KRONE_YELLOW2"	  price="500"/>
		<HolderColorConfiguration name="Krone gelb 4"  color="KRONE_YELLOW4"	  price="500"/>
		<HolderColorConfiguration name="Holmer pink"   color="HOLMER_PINK"	  price="500"/>
		<HolderColorConfiguration name="Holmer gelb"   color="HOLMER_YELLOW_1" price="500"/>			
		<HolderColorConfiguration name="MW BLAU" 	  color="0.1248 0.3613 0.8632"     material="0"  price="500"/>
		<HolderColorConfiguration name="Claas grün"    color="CLAAS_GREEN1"     material="0" price="500"/>
		<HolderColorConfiguration name="Claas rot"     color="CLAAS_RED1"	  	  material="0" price="500"/>
		<HolderColorConfiguration name="Claas weiss"   color="CLAAS_WHITE1"	  material="0" price="500"/>
		<HolderColorConfiguration name="Claas grau 1"  color="CLAAS_DARKGREY1" material="0" price="500"/>
		<HolderColorConfiguration name="Claas grau 2"  color="CLAAS_DARKGREY2" material="0" price="500"/>
		<HolderColorConfiguration name="Krone schwarz metallic" color="KRONE_BLACK2"    material="18" price="100"/>
		<HolderColorConfiguration name="Krone blau 1 metallic"  color="KRONE_BLUE1"	   material="18" price="600"/>
		<HolderColorConfiguration name="Krone blau 2 metallic"  color="KRONE_BLUE2"	   material="18" price="600"/>
		<HolderColorConfiguration name="Krone blau 3 metallic"  color="KRONE_BLUE3"	   material="18" price="600"/>
		<HolderColorConfiguration name="Krone blau 4 metallic"  color="KRONE_BLUE4"	   material="18" price="600"/>
		<HolderColorConfiguration name="Krone blau 5 metallic"  color="KRONE_BLUE5"	   material="18" price="600"/>
		<HolderColorConfiguration name="Krone grün metallic"    color="KRONE_GREEN1"	   material="18" price="600"/>
		<HolderColorConfiguration name="Krone rot metallic"     color="KRONE_RED1"	   material="18" price="600"/>
		<HolderColorConfiguration name="Krone gelb 1 metallic"  color="KRONE_YELLOW1"   material="18" price="600"/>
		<HolderColorConfiguration name="Krone gelb 2 metallic"  color="KRONE_YELLOW2"   material="18" price="600"/>
		<HolderColorConfiguration name="Krone gelb 4 metallic"  color="KRONE_YELLOW4"   material="18" price="600"/>
		<HolderColorConfiguration name="Holmer pink metallic"   color="HOLMER_PINK"	   material="18" price="600"/>
		<HolderColorConfiguration name="Holmer gelb metallic"   color="HOLMER_YELLOW_1" material="18" price="600"/>			
		<HolderColorConfiguration name="MW BLAU metallic" 	   color="0.1248 0.3613 0.8632" material="18"  price="600"/>
		<HolderColorConfiguration name="Hoffi MW Metall"     	color="0.037 0.136 0.386 0" price="500"/>	
		<HolderColorConfiguration name="Hoffi MW Matt"   		color="0.037 0.136 0.386 1" price="500"/>	
		<HolderColorConfiguration name="Hoffi MW verchromt"   	color="0.037 0.136 0.386 2" price="600"/>	
		<HolderColorConfiguration name="Hoffi MW glänzend"   	color="0.037 0.136 0.386 8" price="600"/>
		<HolderColorConfiguration name="Claas grün metallic"    	color="CLAAS_GREEN1"     material="18" price="600"/>
		<HolderColorConfiguration name="Claas rot metallic"  	color="CLAAS_RED1"	   material="18" price="600"/>
		<HolderColorConfiguration name="Claas weiss metallic"  	color="CLAAS_WHITE1"	   material="18" price="600"/>
		<HolderColorConfiguration name="Claas grau 1 metallic"  	color="CLAAS_DARKGREY1" material="18" price="600"/>
		<HolderColorConfiguration name="Claas grau 2 metallic"  	color="CLAAS_DARKGREY2" material="18" price="600"/>		
		<material name="kroneEasyCollect600_mat" shaderParameter="colorMat1" />	
		<material name="kroneEasyCollect600_mat" shaderParameter="colorMat2" />			
	</HolderColorConfigurations>	
	
	<TopColorColorConfigurations useDefaultColors="false">
		<TopColorColorConfiguration name="Krone gelb 2"  color="KRONE_YELLOW2"    price="0"/>
		<TopColorColorConfiguration name="Krone blau 1"  color="KRONE_BLUE1"	  price="500"/>
		<TopColorColorConfiguration name="Krone blau 2"  color="KRONE_BLUE2"	  price="500"/>
		<TopColorColorConfiguration name="Krone blau 3"  color="KRONE_BLUE3"	  price="500"/>
		<TopColorColorConfiguration name="Krone blau 4"  color="KRONE_BLUE4"	  price="500"/>
		<TopColorColorConfiguration name="Krone blau 5"  color="KRONE_BLUE5"	  price="500"/>
		<TopColorColorConfiguration name="Krone schwarz" color="KRONE_BLACK2"	  price="500"/>
		<TopColorColorConfiguration name="Krone rot"     color="KRONE_RED1"	  price="500"/>
		<TopColorColorConfiguration name="Krone grün"    color="KRONE_GREEN1"	  price="500"/>
		<TopColorColorConfiguration name="Krone gelb 1"  color="KRONE_YELLOW1"	  price="500"/>
		<TopColorColorConfiguration name="Krone gelb 4"  color="KRONE_YELLOW4"	  price="500"/>
		<TopColorColorConfiguration name="Holmer pink"   color="HOLMER_PINK"	  price="500"/>
		<TopColorColorConfiguration name="Holmer gelb"   color="HOLMER_YELLOW_1" price="500"/>			
		<TopColorColorConfiguration name="MW BLAU" 	  color="0.1248 0.3613 0.8632"     material="0"  price="500"/>
		<TopColorColorConfiguration name="Claas grün"    color="CLAAS_GREEN1"     material="0" price="500"/>
		<TopColorColorConfiguration name="Claas rot"     color="CLAAS_RED1"	  	  material="0" price="500"/>
		<TopColorColorConfiguration name="Claas weiss"   color="CLAAS_WHITE1"	  material="0" price="500"/>
		<TopColorColorConfiguration name="Claas grau 1"  color="CLAAS_DARKGREY1" material="0" price="500"/>
		<TopColorColorConfiguration name="Claas grau 2"  color="CLAAS_DARKGREY2" material="0" price="500"/>
		<TopColorColorConfiguration name="Krone schwarz metallic" color="KRONE_BLACK2"    material="18" price="100"/>
		<TopColorColorConfiguration name="Krone blau 1 metallic"  color="KRONE_BLUE1"	   material="18" price="600"/>
		<TopColorColorConfiguration name="Krone blau 2 metallic"  color="KRONE_BLUE2"	   material="18" price="600"/>
		<TopColorColorConfiguration name="Krone blau 3 metallic"  color="KRONE_BLUE3"	   material="18" price="600"/>
		<TopColorColorConfiguration name="Krone blau 4 metallic"  color="KRONE_BLUE4"	   material="18" price="600"/>
		<TopColorColorConfiguration name="Krone blau 5 metallic"  color="KRONE_BLUE5"	   material="18" price="600"/>
		<TopColorColorConfiguration name="Krone grün metallic"    color="KRONE_GREEN1"	   material="18" price="600"/>
		<TopColorColorConfiguration name="Krone rot metallic"     color="KRONE_RED1"	   material="18" price="600"/>
		<TopColorColorConfiguration name="Krone gelb 1 metallic"  color="KRONE_YELLOW1"   material="18" price="600"/>
		<TopColorColorConfiguration name="Krone gelb 2 metallic"  color="KRONE_YELLOW2"   material="18" price="600"/>
		<TopColorColorConfiguration name="Krone gelb 4 metallic"  color="KRONE_YELLOW4"   material="18" price="600"/>
		<TopColorColorConfiguration name="Holmer pink metallic"   color="HOLMER_PINK"	   material="18" price="600"/>
		<TopColorColorConfiguration name="Holmer gelb metallic"   color="HOLMER_YELLOW_1" material="18" price="600"/>			
		<TopColorColorConfiguration name="MW BLAU metallic" 	   color="0.1248 0.3613 0.8632" material="18"  price="600"/>
		<TopColorColorConfiguration name="Hoffi MW Metall"     	color="0.037 0.136 0.386 0" price="500"/>	
		<TopColorColorConfiguration name="Hoffi MW Matt"   		color="0.037 0.136 0.386 1" price="500"/>	
		<TopColorColorConfiguration name="Hoffi MW verchromt"   	color="0.037 0.136 0.386 2" price="600"/>	
		<TopColorColorConfiguration name="Hoffi MW glänzend"   	color="0.037 0.136 0.386 8" price="600"/>
		<TopColorColorConfiguration name="Claas grün metallic"    	color="CLAAS_GREEN1"     material="18" price="600"/>
		<TopColorColorConfiguration name="Claas rot metallic"  	color="CLAAS_RED1"	   material="18" price="600"/>
		<TopColorColorConfiguration name="Claas weiss metallic"  	color="CLAAS_WHITE1"	   material="18" price="600"/>
		<TopColorColorConfiguration name="Claas grau 1 metallic"  	color="CLAAS_DARKGREY1" material="18" price="600"/>
		<TopColorColorConfiguration name="Claas grau 2 metallic"  	color="CLAAS_DARKGREY2" material="18" price="600"/>			
		<material name="kroneEasyCollect600_mat" shaderParameter="colorMat2" />			
	</TopColorColorConfigurations>
	
	<CutterColorConfigurations useDefaultColors="false">
		<CutterColorConfiguration name="Krone grün"    color="KRONE_GREEN1"    price="0"/>
		<CutterColorConfiguration name="Krone blau 1"  color="KRONE_BLUE1"	  price="500"/>
		<CutterColorConfiguration name="Krone blau 2"  color="KRONE_BLUE2"	  price="500"/>
		<CutterColorConfiguration name="Krone blau 3"  color="KRONE_BLUE3"	  price="500"/>
		<CutterColorConfiguration name="Krone blau 4"  color="KRONE_BLUE4"	  price="500"/>
		<CutterColorConfiguration name="Krone blau 5"  color="KRONE_BLUE5"	  price="500"/>
		<CutterColorConfiguration name="Krone schwarz" color="KRONE_BLACK2"	  price="500"/>
		<CutterColorConfiguration name="Krone rot"     color="KRONE_RED1"	  price="500"/>
		<CutterColorConfiguration name="Krone gelb 1"  color="KRONE_YELLOW1"	  price="500"/>
		<CutterColorConfiguration name="Krone gelb 2"  color="KRONE_YELLOW2"	  price="500"/>
		<CutterColorConfiguration name="Krone gelb 4"  color="KRONE_YELLOW4"	  price="500"/>
		<CutterColorConfiguration name="Holmer pink"   color="HOLMER_PINK"	  price="500"/>
		<CutterColorConfiguration name="Holmer gelb"   color="HOLMER_YELLOW_1" price="500"/>			
		<CutterColorConfiguration name="MW BLAU" 	  color="0.1248 0.3613 0.8632"     material="0"  price="500"/>
		<CutterColorConfiguration name="Claas grün"    color="CLAAS_GREEN1"     material="0" price="500"/>
		<CutterColorConfiguration name="Claas rot"     color="CLAAS_RED1"	  	  material="0" price="500"/>
		<CutterColorConfiguration name="Claas weiss"   color="CLAAS_WHITE1"	  material="0" price="500"/>
		<CutterColorConfiguration name="Claas grau 1"  color="CLAAS_DARKGREY1" material="0" price="500"/>
		<CutterColorConfiguration name="Claas grau 2"  color="CLAAS_DARKGREY2" material="0" price="500"/>
		<CutterColorConfiguration name="Krone schwarz metallic" color="KRONE_BLACK2"    material="18" price="100"/>
		<CutterColorConfiguration name="Krone blau 1 metallic"  color="KRONE_BLUE1"	   material="18" price="600"/>
		<CutterColorConfiguration name="Krone blau 2 metallic"  color="KRONE_BLUE2"	   material="18" price="600"/>
		<CutterColorConfiguration name="Krone blau 3 metallic"  color="KRONE_BLUE3"	   material="18" price="600"/>
		<CutterColorConfiguration name="Krone blau 4 metallic"  color="KRONE_BLUE4"	   material="18" price="600"/>
		<CutterColorConfiguration name="Krone blau 5 metallic"  color="KRONE_BLUE5"	   material="18" price="600"/>
		<CutterColorConfiguration name="Krone grün metallic"    color="KRONE_GREEN1"	   material="18" price="600"/>
		<CutterColorConfiguration name="Krone rot metallic"     color="KRONE_RED1"	   material="18" price="600"/>
		<CutterColorConfiguration name="Krone gelb 1 metallic"  color="KRONE_YELLOW1"   material="18" price="600"/>
		<CutterColorConfiguration name="Krone gelb 2 metallic"  color="KRONE_YELLOW2"   material="18" price="600"/>
		<CutterColorConfiguration name="Krone gelb 4 metallic"  color="KRONE_YELLOW4"   material="18" price="600"/>
		<CutterColorConfiguration name="Holmer pink metallic"   color="HOLMER_PINK"	   material="18" price="600"/>
		<CutterColorConfiguration name="Holmer gelb metallic"   color="HOLMER_YELLOW_1" material="18" price="600"/>			
		<CutterColorConfiguration name="MW BLAU metallic" 	    color="0.1248 0.3613 0.8632" material="18"  price="600"/>
		<CutterColorConfiguration name="Hoffi MW Metall"     	color="0.037 0.136 0.386 0" price="500"/>	
		<CutterColorConfiguration name="Hoffi MW Matt"   		color="0.037 0.136 0.386 1" price="500"/>	
		<CutterColorConfiguration name="Hoffi MW verchromt"   	color="0.037 0.136 0.386 2" price="600"/>	
		<CutterColorConfiguration name="Hoffi MW glänzend"   	color="0.037 0.136 0.386 8" price="600"/>
		<CutterColorConfiguration name="Claas grün metallic"    color="CLAAS_GREEN1"     material="18" price="600"/>
		<CutterColorConfiguration name="Claas rot metallic"  	color="CLAAS_RED1"	   material="18" price="600"/>
		<CutterColorConfiguration name="Claas weiss metallic"  	color="CLAAS_WHITE1"	   material="18" price="600"/>
		<CutterColorConfiguration name="Claas grau 1 metallic"  color="CLAAS_DARKGREY1" material="18" price="600"/>
		<CutterColorConfiguration name="Claas grau 2 metallic"  color="CLAAS_DARKGREY2" material="18" price="600"/>	
		<material name="kroneEasyCollect600Cutters_mat" shaderParameter="colorMat0" />	
		<material name="kroneEasyCollect600Cutters_mat" shaderParameter="colorMat1" />
		<material name="kroneEasyCollect600Cutters_mat" shaderParameter="colorMat2" />
		<material name="kroneEasyCollect600Cutters_mat" shaderParameter="colorMat3" />
		<material name="kroneEasyCollect600Cutters_mat" shaderParameter="colorMat4" />
		<material name="kroneEasyCollect600Cutters_mat" shaderParameter="colorMat5" />
		<material name="kroneEasyCollect600Cutters_mat" shaderParameter="colorMat6" />
		<material name="kroneEasyCollect600Cutters_mat" shaderParameter="colorMat7" />
	</CutterColorConfigurations>	

    <i3dMappings>
        <i3dMapping id="krone_vis" node="0>0" />
        <i3dMapping id="attacherJoint" node="0>0|0" />
        <i3dMapping id="support" node="0>0|1|0" />
        <i3dMapping id="groundReferenceNode" node="0>0|2" />
        <i3dMapping id="leftArm" node="0>0|3|0" />
        <i3dMapping id="hydraulicLeftArm" node="0>0|3|0|0" />
        <i3dMapping id="hydraulicLeftArmPart" node="0>0|3|0|0|0" />
        <i3dMapping id="hydraulicLeftArmPunch" node="0>0|3|0|0|0|0" />
        <i3dMapping id="supportArmsLeft" node="0>0|3|0|1" />
        <i3dMapping id="barLeftArm" node="0>0|3|0|2" />
        <i3dMapping id="leftArmDrum" node="0>0|3|0|3|0" />
        <i3dMapping id="cuttersLeft" node="0>0|3|0|4" />
        <i3dMapping id="beltLeft" node="0>0|3|0|5" />
        <i3dMapping id="cuttersLeft1" node="0>0|3|0|9" />
        <i3dMapping id="rightArm" node="0>0|4|0" />
        <i3dMapping id="hydraulicRightArm" node="0>0|4|0|0" />
        <i3dMapping id="hydraulicRightArmPart" node="0>0|4|0|0|0" />
        <i3dMapping id="hydraulicRightArmPunch" node="0>0|4|0|0|0|0" />
        <i3dMapping id="supportArmsRight" node="0>0|4|0|1" />
        <i3dMapping id="barRightArm" node="0>0|4|0|2" />
        <i3dMapping id="rightArmDrum" node="0>0|4|0|3|0" />
        <i3dMapping id="cuttersRight" node="0>0|4|0|4" />
        <i3dMapping id="beltRight" node="0>0|4|0|5" />
        <i3dMapping id="cuttersRight1" node="0>0|4|0|9" />
        <i3dMapping id="hydraulicLeftArmRef" node="0>0|5" />
        <i3dMapping id="hydraulicRightArmRef" node="0>0|6" />
        <i3dMapping id="drum" node="0>0|7" />
        <i3dMapping id="areaStart" node="0>0|8|0" />
        <i3dMapping id="areaWidth" node="0>0|8|1" />
        <i3dMapping id="areaHeight" node="0>0|8|2" />
        <i3dMapping id="aiMarkerLeft" node="0>0|9|0|0" />
        <i3dMapping id="aiMarkerRight" node="0>0|9|0|1" />
        <i3dMapping id="aiMarkerBack" node="0>0|9|0|2" />
        <i3dMapping id="trafficCollisionTrigger" node="0>0|9|1" />
        <i3dMapping id="testAreaStart1" node="0>0|10|0" />
        <i3dMapping id="testAreaWidth1" node="0>0|10|0|0" />
        <i3dMapping id="testAreaHeight1" node="0>0|10|0|1" />
        <i3dMapping id="testAreaStart2" node="0>0|10|1" />
        <i3dMapping id="testAreaWidth2" node="0>0|10|1|0" />
        <i3dMapping id="testAreaHeight2" node="0>0|10|1|1" />
        <i3dMapping id="testAreaStart3" node="0>0|10|2" />
        <i3dMapping id="testAreaWidth3" node="0>0|10|2|0" />
        <i3dMapping id="testAreaHeight3" node="0>0|10|2|1" />
        <i3dMapping id="testAreaStart4" node="0>0|10|3" />
        <i3dMapping id="testAreaWidth4" node="0>0|10|3|0" />
        <i3dMapping id="testAreaHeight4" node="0>0|10|3|1" />
        <i3dMapping id="testAreaStart5" node="0>0|10|4" />
        <i3dMapping id="testAreaWidth5" node="0>0|10|4|0" />
        <i3dMapping id="testAreaHeight5" node="0>0|10|4|1" />
        <i3dMapping id="testAreaStart6" node="0>0|10|5" />
        <i3dMapping id="testAreaWidth6" node="0>0|10|5|0" />
        <i3dMapping id="testAreaHeight6" node="0>0|10|5|1" />
        <i3dMapping id="center" node="0>0|11|0" />
        <i3dMapping id="left" node="0>0|11|1" />
        <i3dMapping id="right" node="0>0|11|2" />
        <i3dMapping id="hydraulicIn01" node="0>0|14|0"/>
        <i3dMapping id="hydraulicOut01" node="0>0|14|1"/>
        <i3dMapping id="hydraulicIn02" node="0>0|14|2"/>
        <i3dMapping id="hydraulicOut02" node="0>0|14|3"/>
	</i3dMappings>
</vehicle>

